## GcalShellSearchProvider GcalShellSearchProvider |

## Functions

GcalShellSearchProvider * | gcal_shell_search_provider_new ()
gboolean | gcal_shell_search_provider_dbus_export ()
void | gcal_shell_search_provider_dbus_unexport ()
void | gcal_shell_search_provider_connect ()

## Types and Values

#define | GCAL_TYPE_SHELL_SEARCH_PROVIDER
| GcalShellSearchProvider

## Object Hierarchy

        GObject
        ╰── GcalShellSearchProvider

## Implemented Interfaces

GcalShellSearchProvider implements

## Description

## Functions

### gcal_shell_search_provider_new ()

    GcalShellSearchProvider *
    gcal_shell_search_provider_new (void);

### gcal_shell_search_provider_dbus_export ()

    gboolean
    gcal_shell_search_provider_dbus_export
                                   (GcalShellSearchProvider *search_provider,
                                    GDBusConnection *connection,
                                    const gchar *object_path,
                                    GError **error);

### gcal_shell_search_provider_dbus_unexport ()

    void
    gcal_shell_search_provider_dbus_unexport
                                   (GcalShellSearchProvider *search_provider,
                                    GDBusConnection *connection,
                                    const gchar *object_path);

### gcal_shell_search_provider_connect ()

    void
    gcal_shell_search_provider_connect (GcalShellSearchProvider *search_provider,
                                        GcalManager *manager);

## Types and Values

### GCAL_TYPE_SHELL_SEARCH_PROVIDER

    #define GCAL_TYPE_SHELL_SEARCH_PROVIDER (gcal_shell_search_provider_get_type())

### GcalShellSearchProvider

    typedef struct _GcalShellSearchProvider GcalShellSearchProvider;